Page MenuHomePhabricator

LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending
Closed, ResolvedPublic

Description

This started with the rollout of 1.30.0-wmf.14 to group1 wikis

#0 /srv/mediawiki/php-1.30.0-wmf.14/includes/deferred/LinksUpdate.php(203): Wikimedia\Rdbms\Database->getScopedLockAndFlush(string, string, integer)
#1 /srv/mediawiki/php-1.30.0-wmf.14/includes/jobqueue/jobs/RefreshLinksJob.php(144): LinksUpdate::acquirePageLock(Wikimedia\Rdbms\DatabaseMysqli, integer, string)
#2 /srv/mediawiki/php-1.30.0-wmf.14/includes/jobqueue/jobs/RefreshLinksJob.php(118): RefreshLinksJob->runForTitle(Title)
#3 /srv/mediawiki/php-1.30.0-wmf.14/includes/jobqueue/JobRunner.php(295): RefreshLinksJob->run()
#4 /srv/mediawiki/php-1.30.0-wmf.14/includes/jobqueue/JobRunner.php(193): JobRunner->executeJob(RefreshLinksJob, Wikimedia\Rdbms\LBFactoryMulti, BufferingStatsdDataFactory, integer)
#5 /srv/mediawiki/rpc/RunJobs.php(47): JobRunner->run(array)
#6 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2017, 9:10 PM

Mentioned in SAL (#wikimedia-operations) [2017-08-16T21:21:28Z] <thcipriani@tin> Synchronized php: revert group1 wikis to 1.30.0-wmf.14 for T173462 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2017-08-16T21:22:09Z] <thcipriani@tin> rebuilt wikiversions.php and synchronized wikiversions files: revert group1 wikis to 1.30.0-wmf.14 for T173462

thcipriani triaged this task as Unbreak Now! priority.Aug 16 2017, 9:25 PM

UBN! since I added as a blocker to wmf.14.

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptAug 16 2017, 9:25 PM

Mentioned in SAL (#wikimedia-operations) [2017-08-16T21:37:28Z] <thcipriani> train is on hold pending resolution of T173462

greg added subscribers: aaron, greg.

JobRunner/Queue -> @aaron

So while this error started at a low-level when I rolled forward group1 wikis, it is now present on wmf.13 since rollback: https://logstash.wikimedia.org/goto/cbfaa6baf81c7edecfd8e9a2968966d3

Change 372345 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] [WIP] Avoid lock acquisition errors for multi-title refreshlinks jobs

https://gerrit.wikimedia.org/r/372345

Change 372414 had a related patch set uploaded (by Thcipriani; owner: Aaron Schulz):
[mediawiki/core@wmf/1.30.0-wmf.14] Avoid lock acquisition errors for multi-title refreshlinks jobs

https://gerrit.wikimedia.org/r/372414

Change 372414 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.14] Avoid lock acquisition errors for multi-title refreshlinks jobs

https://gerrit.wikimedia.org/r/372414

Mentioned in SAL (#wikimedia-operations) [2017-08-17T16:51:30Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.14/includes/jobqueue/jobs/RefreshLinksJob.php: [[gerrit:372414|Avoid lock acquisition errors for multi-title refreshlinks jobs]] T173462 (duration: 00m 51s)

Change 372345 merged by jenkins-bot:
[mediawiki/core@master] Avoid lock acquisition errors for multi-title refreshlinks jobs

https://gerrit.wikimedia.org/r/372345

greg added a comment.Aug 17 2017, 5:32 PM

We now had to rollback to wmf.13 again due to logged in users getting 503s due to T173520.

thcipriani closed this task as Resolved.Aug 17 2017, 7:34 PM
thcipriani assigned this task to aaron.

We now had to rollback to wmf.13 again due to logged in users getting 503s due to T173520.

Rolled forward again (with @aaron's patch in place) and this error no longer appears. Closing resolved.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM